# $Id$
# Authority: dag
# Upstream: Jorge Ferrer <jferrer@ieeesb.etsit.upm.es>

%{?dist: %{expand: %%define %dist 1}}

%{?fc4:%define _without_mdbtools 1}

%{?el4:%define _without_freetds 1}
%{?el4:%define _without_mdbtools 1}
%{?el4:%define _without_xbase 1}

%{?rh7:%define _without_mdbtools 1}
%{?el2:%define _without_mdbtools 1}
%{?rh6:%define _without_mdbtools 1}

Summary: Library for writing gnome database programs.
Name: libgda
Version: 1.0.4
Release: 1.rf
License: LGPL
Group: System Environment/Libraries
URL: http://www.gnome-db.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://ftp.gnome.org/pub/GNOME/sources/libgda/1.0/libgda-%{version}.tar.bz2
Patch: libgda-1.0.4-gcc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: pkgconfig >= 0.8, glib2-devel >= 2.0, ncurses-devel
BuildRequires: libxml2-devel, libxslt-devel >= 1.0.9
BuildRequires: mysql-devel, postgresql-devel, unixODBC-devel, sqlite-devel
%{!?_without_freetds:BuildRequires: freetds-devel}
%{!?_without_mdbtools:BuildRequires: mdbtools-devel}
%{!?_without_xbase:BuildRequires: xbase-devel}
BuildRequires: scrollkeeper

Requires(post): scrollkeeper

%description
libgda is a library that eases the task of writing
gnome database programs.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup
%patch0

### FIXME: Xbase support is called 'xbase' not 'xdb' (Please fix upstream)
%{__perl} -pi.orig -e 's|xdb|xbase|g' configure
%{__perl} -pi.orig -e 's|xdb/|xbase/|g' providers/xbase/gda-xbase-database.cpp

%build
%configure \
%{!?_without_freetds:--with-freetds} \
%{?_without_freetds:--without-freetds} \
	--with-ldap \
	--with-mdb \
	--with-mysql \
	--with-odbc \
	--with-postgres \
	--with-sqlite \
	--with-tds
#	--disable-gtk-doc
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}-2

### Clean up buildroot
%{__rm} -f %{buildroot}%{_libdir}/*.la \
		%{buildroot}%{_libdir}/libgda/providers/*.a \
		%{buildroot}%{_libdir}/libgda/providers/*.la

%post -p /sbin/ldconfig

%post devel
scrollkeeper-update -q || :

%postun -p /sbin/ldconfig

%postun devel
scrollkeeper-update -q || :

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}-2.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING README NEWS
%config %{_sysconfdir}/libgda/
%{_bindir}/gda-report-test
%{_bindir}/gda-run
%{_bindir}/gda-test
%{_datadir}/libgda/
%{_libdir}/libgda*.so.*
%{_libdir}/libgda/

%files devel
%defattr(-, root, root, 0755)
%doc %{_datadir}/gtk-doc/html/libgda/
%doc %{_mandir}/man1/gda-config-tool.1*
%doc %{_mandir}/man5/gda-config.5*
%{_bindir}/gda-config-tool
%{?!rh73:%{_datadir}/omf/libgda/}
%{_includedir}/libgda/
%{_includedir}/libgda-report/
%{_libdir}/libgda*.a
%{_libdir}/libgda*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Apr 04 2006 Dag Wieers <dag@wieers.com> - 1.0.4-1 - /
- Updated to release 1.0.4.

* Thu Jan 22 2004 Dag Wieers <dag@wieers.com> - 1.0.3-0
- Updated to release 1.0.3.

* Sun Nov 30 2003 Dag Wieers <dag@wieers.com> - 1.0.2-0
- Updated to release 1.0.2.

* Mon Oct 13 2003 Dag Wieers <dag@wieers.com> - 1.0.1-0
- Updated to release 1.0.1.

* Tue Sep 16 2003 Dag Wieers <dag@wieers.com> - 1.0.0-0
- Updated to release 1.0.0.

* Fri Sep 12 2003 Dag Wieers <dag@wieers.com> - 0.99.0-1
- Added xbase support.

* Thu Sep 11 2003 Dag Wieers <dag@wieers.com> - 0.99.0-0
- Updated to release 0.99.0.

* Fri Jul 04 2003 Dag Wieers <dag@wieers.com> - 0.90.0-0
- Updated to release 0.90.0.

* Fri Jun 13 2003 Dag Wieers <dag@wieers.com> - 0.12.1-0
- Initial package. (using DAR)
